
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>

While changing the TTY layer, an API parameter was removed, so it was
removed by almost all calls, changing their prototype.  But one use of one
such function was not updated, breaking UML compilation.  This is the fix.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/drivers/ssl.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/um/drivers/ssl.c~uml-fix-mainline-lazyness-about-tty-layer-patch arch/um/drivers/ssl.c
--- 25/arch/um/drivers/ssl.c~uml-fix-mainline-lazyness-about-tty-layer-patch	Thu Oct 28 16:01:46 2004
+++ 25-akpm/arch/um/drivers/ssl.c	Thu Oct 28 16:01:46 2004
@@ -119,7 +119,7 @@ static int ssl_write(struct tty_struct *
 
 static void ssl_put_char(struct tty_struct *tty, unsigned char ch)
 {
-	line_write(serial_lines, tty, 0, &ch, sizeof(ch));
+	line_write(serial_lines, tty, &ch, sizeof(ch));
 }
 
 static void ssl_flush_chars(struct tty_struct *tty)
_
